
//
// Academic License - for use in teaching, academic research, and meeting
// course requirements at degree granting institutions only.  Not for
// government, commercial, or other organizational use.
// File: EvalCostIntegral.cpp
//
// MATLAB Coder version            : 5.4
//

// Include Files
#include "EvalCostIntegral.h"
#include <cmath>

// Function Definitions
//
// function I = EvalCostIntegral(alpha0,beta0,alpha1,beta1,in5,in6,in7,in8,in9,in10,in11)
//
// EvalCostIntegral
//     I = EvalCostIntegral(ALPHA0,BETA0,ALPHA1,BETA1,IN5,IN6,IN7,IN8,IN9,IN10,IN11)
//
// Arguments    : double alpha0
//                double beta0
//                double alpha1
//                double beta1
//                const double in5[6]
//                const double in6[6]
//                const double in7[6]
//                const double in8[6]
//                const double in9[6]
//                const double in10[6]
//                const double in11[6]
// Return Type  : double
//
namespace ocn {
double EvalCostIntegral(double alpha0, double beta0, double alpha1, double beta1,
                        const double in5[6], const double in6[6], const double in7[6],
                        const double in8[6], const double in9[6], const double in10[6],
                        const double in11[6])
{
    double I_tmp;
    double ab_I_tmp;
    double b_I_tmp;
    double bb_I_tmp;
    double c_I_tmp;
    double cb_I_tmp;
    double d_I_tmp;
    double db_I_tmp;
    double e_I_tmp;
    double eb_I_tmp;
    double f_I_tmp;
    double fb_I_tmp;
    double g_I_tmp;
    double gb_I_tmp;
    double h_I_tmp;
    double hb_I_tmp;
    double i_I_tmp;
    double ib_I_tmp;
    double j_I_tmp;
    double jb_I_tmp;
    double k_I_tmp;
    double kb_I_tmp;
    double l_I_tmp;
    double m_I_tmp;
    double n_I_tmp;
    double o_I_tmp;
    double p_I_tmp;
    double q_I_tmp;
    double r_I_tmp;
    double s_I_tmp;
    double t10;
    double t11;
    double t12;
    double t13;
    double t14;
    double t15;
    double t16;
    double t17;
    double t18;
    double t19;
    double t2;
    double t20;
    double t21;
    double t3;
    double t4;
    double t5;
    double t6;
    double t7;
    double t8;
    double t9;
    double t_I_tmp;
    double u_I_tmp;
    double v_I_tmp;
    double w_I_tmp;
    double x_I_tmp;
    double y_I_tmp;
    //     This function was generated by the Symbolic Math Toolbox version 9.1.
    //     11-Oct-2023 12:56:18
    // 'EvalCostIntegral:8' D_vec1 = in11(1,:);
    // 'EvalCostIntegral:9' D_vec2 = in11(2,:);
    // 'EvalCostIntegral:10' D_vec3 = in11(3,:);
    // 'EvalCostIntegral:11' D_vec4 = in11(4,:);
    // 'EvalCostIntegral:12' D_vec5 = in11(5,:);
    // 'EvalCostIntegral:13' D_vec6 = in11(6,:);
    // 'EvalCostIntegral:14' nk0_vec1 = in7(1,:);
    // 'EvalCostIntegral:15' nk0_vec2 = in7(2,:);
    // 'EvalCostIntegral:16' nk0_vec3 = in7(3,:);
    // 'EvalCostIntegral:17' nk0_vec4 = in7(4,:);
    // 'EvalCostIntegral:18' nk0_vec5 = in7(5,:);
    // 'EvalCostIntegral:19' nk0_vec6 = in7(6,:);
    // 'EvalCostIntegral:20' nk1_vec1 = in10(1,:);
    // 'EvalCostIntegral:21' nk1_vec2 = in10(2,:);
    // 'EvalCostIntegral:22' nk1_vec3 = in10(3,:);
    // 'EvalCostIntegral:23' nk1_vec4 = in10(4,:);
    // 'EvalCostIntegral:24' nk1_vec5 = in10(5,:);
    // 'EvalCostIntegral:25' nk1_vec6 = in10(6,:);
    // 'EvalCostIntegral:26' p0_vec1 = in5(1,:);
    // 'EvalCostIntegral:27' p0_vec2 = in5(2,:);
    // 'EvalCostIntegral:28' p0_vec3 = in5(3,:);
    // 'EvalCostIntegral:29' p0_vec4 = in5(4,:);
    // 'EvalCostIntegral:30' p0_vec5 = in5(5,:);
    // 'EvalCostIntegral:31' p0_vec6 = in5(6,:);
    // 'EvalCostIntegral:32' p1_vec1 = in8(1,:);
    // 'EvalCostIntegral:33' p1_vec2 = in8(2,:);
    // 'EvalCostIntegral:34' p1_vec3 = in8(3,:);
    // 'EvalCostIntegral:35' p1_vec4 = in8(4,:);
    // 'EvalCostIntegral:36' p1_vec5 = in8(5,:);
    // 'EvalCostIntegral:37' p1_vec6 = in8(6,:);
    // 'EvalCostIntegral:38' t0_vec1 = in6(1,:);
    // 'EvalCostIntegral:39' t0_vec2 = in6(2,:);
    // 'EvalCostIntegral:40' t0_vec3 = in6(3,:);
    // 'EvalCostIntegral:41' t0_vec4 = in6(4,:);
    // 'EvalCostIntegral:42' t0_vec5 = in6(5,:);
    // 'EvalCostIntegral:43' t0_vec6 = in6(6,:);
    // 'EvalCostIntegral:44' t1_vec1 = in9(1,:);
    // 'EvalCostIntegral:45' t1_vec2 = in9(2,:);
    // 'EvalCostIntegral:46' t1_vec3 = in9(3,:);
    // 'EvalCostIntegral:47' t1_vec4 = in9(4,:);
    // 'EvalCostIntegral:48' t1_vec5 = in9(5,:);
    // 'EvalCostIntegral:49' t1_vec6 = in9(6,:);
    // 'EvalCostIntegral:50' t2 = alpha0.^2;
    t2 = alpha0 * alpha0;
    // 'EvalCostIntegral:51' t3 = alpha0.^3;
    t3 = std::pow(alpha0, 3.0);
    // 'EvalCostIntegral:52' t4 = alpha1.^2;
    t4 = alpha1 * alpha1;
    // 'EvalCostIntegral:53' t6 = alpha1.^3;
    t6 = std::pow(alpha1, 3.0);
    // 'EvalCostIntegral:54' t8 = beta0.^2;
    t8 = beta0 * beta0;
    // 'EvalCostIntegral:55' t9 = beta1.^2;
    t9 = beta1 * beta1;
    // 'EvalCostIntegral:56' t10 = t0_vec1.^2;
    t10 = in6[0] * in6[0];
    // 'EvalCostIntegral:57' t11 = t0_vec2.^2;
    t11 = in6[1] * in6[1];
    // 'EvalCostIntegral:58' t12 = t0_vec3.^2;
    t12 = in6[2] * in6[2];
    // 'EvalCostIntegral:59' t13 = t0_vec4.^2;
    t13 = in6[3] * in6[3];
    // 'EvalCostIntegral:60' t14 = t0_vec5.^2;
    t14 = in6[4] * in6[4];
    // 'EvalCostIntegral:61' t15 = t0_vec6.^2;
    t15 = in6[5] * in6[5];
    // 'EvalCostIntegral:62' t16 = t1_vec1.^2;
    t16 = in9[0] * in9[0];
    // 'EvalCostIntegral:63' t17 = t1_vec2.^2;
    t17 = in9[1] * in9[1];
    // 'EvalCostIntegral:64' t18 = t1_vec3.^2;
    t18 = in9[2] * in9[2];
    // 'EvalCostIntegral:65' t19 = t1_vec4.^2;
    t19 = in9[3] * in9[3];
    // 'EvalCostIntegral:66' t20 = t1_vec5.^2;
    t20 = in9[4] * in9[4];
    // 'EvalCostIntegral:67' t21 = t1_vec6.^2;
    t21 = in9[5] * in9[5];
    // 'EvalCostIntegral:68' t5 = t2.^2;
    t5 = t2 * t2;
    // 'EvalCostIntegral:69' t7 = t4.^2;
    t7 = t4 * t4;
    // 'EvalCostIntegral:70' et1 =
    // D_vec1.*p0_vec1.^2.*7.2e+2+D_vec2.*p0_vec2.^2.*7.2e+2+D_vec3.*p0_vec3.^2.*7.2e+2+D_vec4.*p0_vec4.^2.*7.2e+2+D_vec5.*p0_vec5.^2.*7.2e+2+D_vec1.*p1_vec1.^2.*7.2e+2+D_vec6.*p0_vec6.^2.*7.2e+2+D_vec2.*p1_vec2.^2.*7.2e+2+D_vec3.*p1_vec3.^2.*7.2e+2+D_vec4.*p1_vec4.^2.*7.2e+2+D_vec5.*p1_vec5.^2.*7.2e+2+D_vec6.*p1_vec6.^2.*7.2e+2-D_vec1.*p0_vec1.*p1_vec1.*1.44e+3-D_vec2.*p0_vec2.*p1_vec2.*1.44e+3-D_vec3.*p0_vec3.*p1_vec3.*1.44e+3-D_vec4.*p0_vec4.*p1_vec4.*1.44e+3-D_vec5.*p0_vec5.*p1_vec5.*1.44e+3-D_vec6.*p0_vec6.*p1_vec6.*1.44e+3+D_vec1.*t2.*t10.*1.92e+2+D_vec2.*t2.*t11.*1.92e+2+D_vec3.*t2.*t12.*1.92e+2+D_vec1.*t8.*t10.*9.0+D_vec4.*t2.*t13.*1.92e+2;
    // 'EvalCostIntegral:71' et2 =
    // D_vec1.*t4.*t16.*1.92e+2+D_vec2.*t8.*t11.*9.0+D_vec5.*t2.*t14.*1.92e+2+D_vec2.*t4.*t17.*1.92e+2+D_vec3.*t8.*t12.*9.0+D_vec6.*t2.*t15.*1.92e+2+D_vec3.*t4.*t18.*1.92e+2+D_vec4.*t8.*t13.*9.0+D_vec1.*t9.*t16.*9.0+D_vec4.*t4.*t19.*1.92e+2+D_vec5.*t8.*t14.*9.0+D_vec2.*t9.*t17.*9.0+D_vec5.*t4.*t20.*1.92e+2+D_vec6.*t8.*t15.*9.0+D_vec3.*t9.*t18.*9.0+D_vec6.*t4.*t21.*1.92e+2+D_vec4.*t9.*t19.*9.0+D_vec5.*t9.*t20.*9.0+D_vec6.*t9.*t21.*9.0+D_vec1.*nk0_vec1.^2.*t5.*9.0+D_vec2.*nk0_vec2.^2.*t5.*9.0+D_vec3.*nk0_vec3.^2.*t5.*9.0+D_vec4.*nk0_vec4.^2.*t5.*9.0+D_vec5.*nk0_vec5.^2.*t5.*9.0+D_vec6.*nk0_vec6.^2.*t5.*9.0+D_vec1.*nk1_vec1.^2.*t7.*9.0+D_vec2.*nk1_vec2.^2.*t7.*9.0+D_vec3.*nk1_vec3.^2.*t7.*9.0;
    // 'EvalCostIntegral:72' et3 =
    // D_vec4.*nk1_vec4.^2.*t7.*9.0+D_vec5.*nk1_vec5.^2.*t7.*9.0+D_vec6.*nk1_vec6.^2.*t7.*9.0+D_vec1.*alpha0.*beta0.*t10.*7.2e+1+D_vec2.*alpha0.*beta0.*t11.*7.2e+1+D_vec3.*alpha0.*beta0.*t12.*7.2e+1+D_vec4.*alpha0.*beta0.*t13.*7.2e+1-D_vec1.*alpha1.*beta1.*t16.*7.2e+1+D_vec5.*alpha0.*beta0.*t14.*7.2e+1-D_vec2.*alpha1.*beta1.*t17.*7.2e+1+D_vec6.*alpha0.*beta0.*t15.*7.2e+1-D_vec3.*alpha1.*beta1.*t18.*7.2e+1-D_vec4.*alpha1.*beta1.*t19.*7.2e+1-D_vec5.*alpha1.*beta1.*t20.*7.2e+1-D_vec6.*alpha1.*beta1.*t21.*7.2e+1+D_vec1.*alpha0.*p0_vec1.*t0_vec1.*7.2e+2+D_vec2.*alpha0.*p0_vec2.*t0_vec2.*7.2e+2+D_vec3.*alpha0.*p0_vec3.*t0_vec3.*7.2e+2+D_vec4.*alpha0.*p0_vec4.*t0_vec4.*7.2e+2-D_vec1.*alpha0.*p1_vec1.*t0_vec1.*7.2e+2+D_vec1.*alpha1.*p0_vec1.*t1_vec1.*7.2e+2+D_vec5.*alpha0.*p0_vec5.*t0_vec5.*7.2e+2-D_vec2.*alpha0.*p1_vec2.*t0_vec2.*7.2e+2;
    // 'EvalCostIntegral:73' et4 =
    // D_vec2.*alpha1.*p0_vec2.*t1_vec2.*7.2e+2+D_vec6.*alpha0.*p0_vec6.*t0_vec6.*7.2e+2-D_vec3.*alpha0.*p1_vec3.*t0_vec3.*7.2e+2+D_vec3.*alpha1.*p0_vec3.*t1_vec3.*7.2e+2-D_vec4.*alpha0.*p1_vec4.*t0_vec4.*7.2e+2+D_vec4.*alpha1.*p0_vec4.*t1_vec4.*7.2e+2-D_vec1.*alpha1.*p1_vec1.*t1_vec1.*7.2e+2-D_vec5.*alpha0.*p1_vec5.*t0_vec5.*7.2e+2+D_vec5.*alpha1.*p0_vec5.*t1_vec5.*7.2e+2-D_vec2.*alpha1.*p1_vec2.*t1_vec2.*7.2e+2-D_vec6.*alpha0.*p1_vec6.*t0_vec6.*7.2e+2+D_vec6.*alpha1.*p0_vec6.*t1_vec6.*7.2e+2-D_vec3.*alpha1.*p1_vec3.*t1_vec3.*7.2e+2-D_vec4.*alpha1.*p1_vec4.*t1_vec4.*7.2e+2-D_vec5.*alpha1.*p1_vec5.*t1_vec5.*7.2e+2-D_vec6.*alpha1.*p1_vec6.*t1_vec6.*7.2e+2+D_vec1.*beta0.*p0_vec1.*t0_vec1.*1.2e+2+D_vec2.*beta0.*p0_vec2.*t0_vec2.*1.2e+2+D_vec3.*beta0.*p0_vec3.*t0_vec3.*1.2e+2+D_vec4.*beta0.*p0_vec4.*t0_vec4.*1.2e+2-D_vec1.*beta0.*p1_vec1.*t0_vec1.*1.2e+2;
    // 'EvalCostIntegral:74' et5 =
    // D_vec1.*beta1.*p0_vec1.*t1_vec1.*-1.2e+2+D_vec5.*beta0.*p0_vec5.*t0_vec5.*1.2e+2-D_vec2.*beta0.*p1_vec2.*t0_vec2.*1.2e+2-D_vec2.*beta1.*p0_vec2.*t1_vec2.*1.2e+2+D_vec6.*beta0.*p0_vec6.*t0_vec6.*1.2e+2-D_vec3.*beta0.*p1_vec3.*t0_vec3.*1.2e+2-D_vec3.*beta1.*p0_vec3.*t1_vec3.*1.2e+2-D_vec4.*beta0.*p1_vec4.*t0_vec4.*1.2e+2-D_vec4.*beta1.*p0_vec4.*t1_vec4.*1.2e+2+D_vec1.*beta1.*p1_vec1.*t1_vec1.*1.2e+2-D_vec5.*beta0.*p1_vec5.*t0_vec5.*1.2e+2-D_vec5.*beta1.*p0_vec5.*t1_vec5.*1.2e+2+D_vec2.*beta1.*p1_vec2.*t1_vec2.*1.2e+2-D_vec6.*beta0.*p1_vec6.*t0_vec6.*1.2e+2-D_vec6.*beta1.*p0_vec6.*t1_vec6.*1.2e+2+D_vec3.*beta1.*p1_vec3.*t1_vec3.*1.2e+2+D_vec4.*beta1.*p1_vec4.*t1_vec4.*1.2e+2+D_vec5.*beta1.*p1_vec5.*t1_vec5.*1.2e+2+D_vec6.*beta1.*p1_vec6.*t1_vec6.*1.2e+2+D_vec1.*nk0_vec1.*p0_vec1.*t2.*1.2e+2+D_vec2.*nk0_vec2.*p0_vec2.*t2.*1.2e+2+D_vec3.*nk0_vec3.*p0_vec3.*t2.*1.2e+2+D_vec4.*nk0_vec4.*p0_vec4.*t2.*1.2e+2;
    // 'EvalCostIntegral:75' et6 =
    // D_vec1.*nk0_vec1.*p1_vec1.*t2.*-1.2e+2-D_vec1.*nk1_vec1.*p0_vec1.*t4.*1.2e+2+D_vec5.*nk0_vec5.*p0_vec5.*t2.*1.2e+2-D_vec2.*nk0_vec2.*p1_vec2.*t2.*1.2e+2-D_vec2.*nk1_vec2.*p0_vec2.*t4.*1.2e+2+D_vec6.*nk0_vec6.*p0_vec6.*t2.*1.2e+2-D_vec3.*nk0_vec3.*p1_vec3.*t2.*1.2e+2-D_vec3.*nk1_vec3.*p0_vec3.*t4.*1.2e+2-D_vec4.*nk0_vec4.*p1_vec4.*t2.*1.2e+2-D_vec4.*nk1_vec4.*p0_vec4.*t4.*1.2e+2+D_vec1.*nk1_vec1.*p1_vec1.*t4.*1.2e+2-D_vec5.*nk0_vec5.*p1_vec5.*t2.*1.2e+2-D_vec5.*nk1_vec5.*p0_vec5.*t4.*1.2e+2+D_vec2.*nk1_vec2.*p1_vec2.*t4.*1.2e+2-D_vec6.*nk0_vec6.*p1_vec6.*t2.*1.2e+2-D_vec6.*nk1_vec6.*p0_vec6.*t4.*1.2e+2+D_vec3.*nk1_vec3.*p1_vec3.*t4.*1.2e+2+D_vec4.*nk1_vec4.*p1_vec4.*t4.*1.2e+2+D_vec5.*nk1_vec5.*p1_vec5.*t4.*1.2e+2+D_vec6.*nk1_vec6.*p1_vec6.*t4.*1.2e+2+D_vec1.*nk0_vec1.*t3.*t0_vec1.*7.2e+1+D_vec2.*nk0_vec2.*t3.*t0_vec2.*7.2e+1+D_vec3.*nk0_vec3.*t3.*t0_vec3.*7.2e+1;
    // 'EvalCostIntegral:76' et7 =
    // D_vec4.*nk0_vec4.*t3.*t0_vec4.*7.2e+1+D_vec5.*nk0_vec5.*t3.*t0_vec5.*7.2e+1+D_vec6.*nk0_vec6.*t3.*t0_vec6.*7.2e+1-D_vec1.*nk1_vec1.*t6.*t1_vec1.*7.2e+1-D_vec2.*nk1_vec2.*t6.*t1_vec2.*7.2e+1-D_vec3.*nk1_vec3.*t6.*t1_vec3.*7.2e+1-D_vec4.*nk1_vec4.*t6.*t1_vec4.*7.2e+1-D_vec5.*nk1_vec5.*t6.*t1_vec5.*7.2e+1-D_vec6.*nk1_vec6.*t6.*t1_vec6.*7.2e+1+D_vec1.*alpha0.*alpha1.*t0_vec1.*t1_vec1.*3.36e+2+D_vec2.*alpha0.*alpha1.*t0_vec2.*t1_vec2.*3.36e+2+D_vec3.*alpha0.*alpha1.*t0_vec3.*t1_vec3.*3.36e+2+D_vec4.*alpha0.*alpha1.*t0_vec4.*t1_vec4.*3.36e+2+D_vec5.*alpha0.*alpha1.*t0_vec5.*t1_vec5.*3.36e+2+D_vec6.*alpha0.*alpha1.*t0_vec6.*t1_vec6.*3.36e+2-D_vec1.*alpha0.*beta1.*t0_vec1.*t1_vec1.*4.8e+1+D_vec1.*alpha1.*beta0.*t0_vec1.*t1_vec1.*4.8e+1-D_vec2.*alpha0.*beta1.*t0_vec2.*t1_vec2.*4.8e+1+D_vec2.*alpha1.*beta0.*t0_vec2.*t1_vec2.*4.8e+1-D_vec3.*alpha0.*beta1.*t0_vec3.*t1_vec3.*4.8e+1+D_vec3.*alpha1.*beta0.*t0_vec3.*t1_vec3.*4.8e+1-D_vec4.*alpha0.*beta1.*t0_vec4.*t1_vec4.*4.8e+1+D_vec4.*alpha1.*beta0.*t0_vec4.*t1_vec4.*4.8e+1;
    // 'EvalCostIntegral:77' et8 =
    // D_vec5.*alpha0.*beta1.*t0_vec5.*t1_vec5.*-4.8e+1+D_vec5.*alpha1.*beta0.*t0_vec5.*t1_vec5.*4.8e+1-D_vec6.*alpha0.*beta1.*t0_vec6.*t1_vec6.*4.8e+1+D_vec6.*alpha1.*beta0.*t0_vec6.*t1_vec6.*4.8e+1-D_vec1.*beta0.*beta1.*t0_vec1.*t1_vec1.*6.0-D_vec2.*beta0.*beta1.*t0_vec2.*t1_vec2.*6.0-D_vec3.*beta0.*beta1.*t0_vec3.*t1_vec3.*6.0-D_vec4.*beta0.*beta1.*t0_vec4.*t1_vec4.*6.0-D_vec5.*beta0.*beta1.*t0_vec5.*t1_vec5.*6.0-D_vec6.*beta0.*beta1.*t0_vec6.*t1_vec6.*6.0+D_vec1.*alpha1.*nk0_vec1.*t2.*t1_vec1.*4.8e+1-D_vec1.*alpha0.*nk1_vec1.*t4.*t0_vec1.*4.8e+1+D_vec2.*alpha1.*nk0_vec2.*t2.*t1_vec2.*4.8e+1-D_vec2.*alpha0.*nk1_vec2.*t4.*t0_vec2.*4.8e+1+D_vec3.*alpha1.*nk0_vec3.*t2.*t1_vec3.*4.8e+1-D_vec3.*alpha0.*nk1_vec3.*t4.*t0_vec3.*4.8e+1+D_vec4.*alpha1.*nk0_vec4.*t2.*t1_vec4.*4.8e+1-D_vec4.*alpha0.*nk1_vec4.*t4.*t0_vec4.*4.8e+1+D_vec5.*alpha1.*nk0_vec5.*t2.*t1_vec5.*4.8e+1-D_vec5.*alpha0.*nk1_vec5.*t4.*t0_vec5.*4.8e+1+D_vec6.*alpha1.*nk0_vec6.*t2.*t1_vec6.*4.8e+1-D_vec6.*alpha0.*nk1_vec6.*t4.*t0_vec6.*4.8e+1+D_vec1.*beta0.*nk0_vec1.*t2.*t0_vec1.*1.8e+1+D_vec2.*beta0.*nk0_vec2.*t2.*t0_vec2.*1.8e+1;
    // 'EvalCostIntegral:78' et9 =
    // D_vec3.*beta0.*nk0_vec3.*t2.*t0_vec3.*1.8e+1+D_vec4.*beta0.*nk0_vec4.*t2.*t0_vec4.*1.8e+1-D_vec1.*beta1.*nk0_vec1.*t2.*t1_vec1.*6.0-D_vec1.*beta0.*nk1_vec1.*t4.*t0_vec1.*6.0+D_vec5.*beta0.*nk0_vec5.*t2.*t0_vec5.*1.8e+1-D_vec2.*beta1.*nk0_vec2.*t2.*t1_vec2.*6.0-D_vec2.*beta0.*nk1_vec2.*t4.*t0_vec2.*6.0+D_vec6.*beta0.*nk0_vec6.*t2.*t0_vec6.*1.8e+1-D_vec3.*beta1.*nk0_vec3.*t2.*t1_vec3.*6.0-D_vec3.*beta0.*nk1_vec3.*t4.*t0_vec3.*6.0-D_vec4.*beta1.*nk0_vec4.*t2.*t1_vec4.*6.0-D_vec4.*beta0.*nk1_vec4.*t4.*t0_vec4.*6.0+D_vec1.*beta1.*nk1_vec1.*t4.*t1_vec1.*1.8e+1-D_vec5.*beta1.*nk0_vec5.*t2.*t1_vec5.*6.0-D_vec5.*beta0.*nk1_vec5.*t4.*t0_vec5.*6.0+D_vec2.*beta1.*nk1_vec2.*t4.*t1_vec2.*1.8e+1-D_vec6.*beta1.*nk0_vec6.*t2.*t1_vec6.*6.0-D_vec6.*beta0.*nk1_vec6.*t4.*t0_vec6.*6.0+D_vec3.*beta1.*nk1_vec3.*t4.*t1_vec3.*1.8e+1+D_vec4.*beta1.*nk1_vec4.*t4.*t1_vec4.*1.8e+1+D_vec5.*beta1.*nk1_vec5.*t4.*t1_vec5.*1.8e+1+D_vec6.*beta1.*nk1_vec6.*t4.*t1_vec6.*1.8e+1-D_vec1.*nk0_vec1.*nk1_vec1.*t2.*t4.*6.0-D_vec2.*nk0_vec2.*nk1_vec2.*t2.*t4.*6.0-D_vec3.*nk0_vec3.*nk1_vec3.*t2.*t4.*6.0;
    // 'EvalCostIntegral:79' et10 =
    // D_vec4.*nk0_vec4.*nk1_vec4.*t2.*t4.*-6.0-D_vec5.*nk0_vec5.*nk1_vec5.*t2.*t4.*6.0-D_vec6.*nk0_vec6.*nk1_vec6.*t2.*t4.*6.0;
    // 'EvalCostIntegral:80' I = et1+et2+et3+et4+et5+et6+et7+et8+et9+et10;
    I_tmp = in11[0] * alpha0;
    b_I_tmp = in11[1] * alpha0;
    c_I_tmp = in11[2] * alpha0;
    d_I_tmp = in11[3] * alpha0;
    e_I_tmp = in11[0] * alpha1;
    f_I_tmp = in11[4] * alpha0;
    g_I_tmp = in11[1] * alpha1;
    h_I_tmp = in11[5] * alpha0;
    i_I_tmp = in11[2] * alpha1;
    j_I_tmp = in11[3] * alpha1;
    k_I_tmp = in11[4] * alpha1;
    l_I_tmp = in11[5] * alpha1;
    m_I_tmp = in11[0] * beta0;
    n_I_tmp = in11[1] * beta0;
    o_I_tmp = in11[2] * beta0;
    p_I_tmp = in11[3] * beta0;
    q_I_tmp = in11[0] * beta1;
    r_I_tmp = in11[4] * beta0;
    s_I_tmp = in11[1] * beta1;
    t_I_tmp = in11[5] * beta0;
    u_I_tmp = in11[2] * beta1;
    v_I_tmp = in11[3] * beta1;
    w_I_tmp = in11[4] * beta1;
    x_I_tmp = in11[5] * beta1;
    y_I_tmp = in11[0] * in7[0];
    ab_I_tmp = in11[1] * in7[1];
    bb_I_tmp = in11[2] * in7[2];
    cb_I_tmp = in11[3] * in7[3];
    db_I_tmp = in11[0] * in10[0];
    eb_I_tmp = in11[4] * in7[4];
    fb_I_tmp = in11[1] * in10[1];
    gb_I_tmp = in11[5] * in7[5];
    hb_I_tmp = in11[2] * in10[2];
    ib_I_tmp = in11[3] * in10[3];
    jb_I_tmp = in11[4] * in10[4];
    kb_I_tmp = in11[5] * in10[5];
    return ((((((((((((((((((((((((((((((in11[0] * (in5[0] * in5[0]) * 720.0 +
                                         in11[1] * (in5[1] * in5[1]) * 720.0) +
                                        in11[2] * (in5[2] * in5[2]) * 720.0) +
                                       in11[3] * (in5[3] * in5[3]) * 720.0) +
                                      in11[4] * (in5[4] * in5[4]) * 720.0) +
                                     in11[0] * (in8[0] * in8[0]) * 720.0) +
                                    in11[5] * (in5[5] * in5[5]) * 720.0) +
                                   in11[1] * (in8[1] * in8[1]) * 720.0) +
                                  in11[2] * (in8[2] * in8[2]) * 720.0) +
                                 in11[3] * (in8[3] * in8[3]) * 720.0) +
                                in11[4] * (in8[4] * in8[4]) * 720.0) +
                               in11[5] * (in8[5] * in8[5]) * 720.0) -
                              in11[0] * in5[0] * in8[0] * 1440.0) -
                             in11[1] * in5[1] * in8[1] * 1440.0) -
                            in11[2] * in5[2] * in8[2] * 1440.0) -
                           in11[3] * in5[3] * in8[3] * 1440.0) -
                          in11[4] * in5[4] * in8[4] * 1440.0) -
                         in11[5] * in5[5] * in8[5] * 1440.0) +
                        in11[0] * t2 * t10 * 192.0) +
                       in11[1] * t2 * t11 * 192.0) +
                      in11[2] * t2 * t12 * 192.0) +
                     in11[0] * t8 * t10 * 9.0) +
                    in11[3] * t2 * t13 * 192.0) +
                   (((((((((((((((((((((((((((in11[0] * t4 * t16 * 192.0 +
                                              in11[1] * t8 * t11 * 9.0) +
                                             in11[4] * t2 * t14 * 192.0) +
                                            in11[1] * t4 * t17 * 192.0) +
                                           in11[2] * t8 * t12 * 9.0) +
                                          in11[5] * t2 * t15 * 192.0) +
                                         in11[2] * t4 * t18 * 192.0) +
                                        in11[3] * t8 * t13 * 9.0) +
                                       in11[0] * t9 * t16 * 9.0) +
                                      in11[3] * t4 * t19 * 192.0) +
                                     in11[4] * t8 * t14 * 9.0) +
                                    in11[1] * t9 * t17 * 9.0) +
                                   in11[4] * t4 * t20 * 192.0) +
                                  in11[5] * t8 * t15 * 9.0) +
                                 in11[2] * t9 * t18 * 9.0) +
                                in11[5] * t4 * t21 * 192.0) +
                               in11[3] * t9 * t19 * 9.0) +
                              in11[4] * t9 * t20 * 9.0) +
                             in11[5] * t9 * t21 * 9.0) +
                            in11[0] * (in7[0] * in7[0]) * t5 * 9.0) +
                           in11[1] * (in7[1] * in7[1]) * t5 * 9.0) +
                          in11[2] * (in7[2] * in7[2]) * t5 * 9.0) +
                         in11[3] * (in7[3] * in7[3]) * t5 * 9.0) +
                        in11[4] * (in7[4] * in7[4]) * t5 * 9.0) +
                       in11[5] * (in7[5] * in7[5]) * t5 * 9.0) +
                      in11[0] * (in10[0] * in10[0]) * t7 * 9.0) +
                     in11[1] * (in10[1] * in10[1]) * t7 * 9.0) +
                    in11[2] * (in10[2] * in10[2]) * t7 * 9.0)) +
                  ((((((((((((((((((((((in11[3] * (in10[3] * in10[3]) * t7 * 9.0 +
                                        in11[4] * (in10[4] * in10[4]) * t7 * 9.0) +
                                       in11[5] * (in10[5] * in10[5]) * t7 * 9.0) +
                                      I_tmp * beta0 * t10 * 72.0) +
                                     b_I_tmp * beta0 * t11 * 72.0) +
                                    c_I_tmp * beta0 * t12 * 72.0) +
                                   d_I_tmp * beta0 * t13 * 72.0) -
                                  e_I_tmp * beta1 * t16 * 72.0) +
                                 f_I_tmp * beta0 * t14 * 72.0) -
                                g_I_tmp * beta1 * t17 * 72.0) +
                               h_I_tmp * beta0 * t15 * 72.0) -
                              i_I_tmp * beta1 * t18 * 72.0) -
                             j_I_tmp * beta1 * t19 * 72.0) -
                            k_I_tmp * beta1 * t20 * 72.0) -
                           l_I_tmp * beta1 * t21 * 72.0) +
                          I_tmp * in5[0] * in6[0] * 720.0) +
                         b_I_tmp * in5[1] * in6[1] * 720.0) +
                        c_I_tmp * in5[2] * in6[2] * 720.0) +
                       d_I_tmp * in5[3] * in6[3] * 720.0) -
                      I_tmp * in8[0] * in6[0] * 720.0) +
                     e_I_tmp * in5[0] * in9[0] * 720.0) +
                    f_I_tmp * in5[4] * in6[4] * 720.0) -
                   b_I_tmp * in8[1] * in6[1] * 720.0)) +
                 ((((((((((((((((((((g_I_tmp * in5[1] * in9[1] * 720.0 +
                                     h_I_tmp * in5[5] * in6[5] * 720.0) -
                                    c_I_tmp * in8[2] * in6[2] * 720.0) +
                                   i_I_tmp * in5[2] * in9[2] * 720.0) -
                                  d_I_tmp * in8[3] * in6[3] * 720.0) +
                                 j_I_tmp * in5[3] * in9[3] * 720.0) -
                                e_I_tmp * in8[0] * in9[0] * 720.0) -
                               f_I_tmp * in8[4] * in6[4] * 720.0) +
                              k_I_tmp * in5[4] * in9[4] * 720.0) -
                             g_I_tmp * in8[1] * in9[1] * 720.0) -
                            h_I_tmp * in8[5] * in6[5] * 720.0) +
                           l_I_tmp * in5[5] * in9[5] * 720.0) -
                          i_I_tmp * in8[2] * in9[2] * 720.0) -
                         j_I_tmp * in8[3] * in9[3] * 720.0) -
                        k_I_tmp * in8[4] * in9[4] * 720.0) -
                       l_I_tmp * in8[5] * in9[5] * 720.0) +
                      m_I_tmp * in5[0] * in6[0] * 120.0) +
                     n_I_tmp * in5[1] * in6[1] * 120.0) +
                    o_I_tmp * in5[2] * in6[2] * 120.0) +
                   p_I_tmp * in5[3] * in6[3] * 120.0) -
                  m_I_tmp * in8[0] * in6[0] * 120.0)) +
                ((((((((((((((((((((((q_I_tmp * in5[0] * in9[0] * -120.0 +
                                      r_I_tmp * in5[4] * in6[4] * 120.0) -
                                     n_I_tmp * in8[1] * in6[1] * 120.0) -
                                    s_I_tmp * in5[1] * in9[1] * 120.0) +
                                   t_I_tmp * in5[5] * in6[5] * 120.0) -
                                  o_I_tmp * in8[2] * in6[2] * 120.0) -
                                 u_I_tmp * in5[2] * in9[2] * 120.0) -
                                p_I_tmp * in8[3] * in6[3] * 120.0) -
                               v_I_tmp * in5[3] * in9[3] * 120.0) +
                              q_I_tmp * in8[0] * in9[0] * 120.0) -
                             r_I_tmp * in8[4] * in6[4] * 120.0) -
                            w_I_tmp * in5[4] * in9[4] * 120.0) +
                           s_I_tmp * in8[1] * in9[1] * 120.0) -
                          t_I_tmp * in8[5] * in6[5] * 120.0) -
                         x_I_tmp * in5[5] * in9[5] * 120.0) +
                        u_I_tmp * in8[2] * in9[2] * 120.0) +
                       v_I_tmp * in8[3] * in9[3] * 120.0) +
                      w_I_tmp * in8[4] * in9[4] * 120.0) +
                     x_I_tmp * in8[5] * in9[5] * 120.0) +
                    y_I_tmp * in5[0] * t2 * 120.0) +
                   ab_I_tmp * in5[1] * t2 * 120.0) +
                  bb_I_tmp * in5[2] * t2 * 120.0) +
                 cb_I_tmp * in5[3] * t2 * 120.0)) +
               ((((((((((((((((((((((y_I_tmp * in8[0] * t2 * -120.0 -
                                     db_I_tmp * in5[0] * t4 * 120.0) +
                                    eb_I_tmp * in5[4] * t2 * 120.0) -
                                   ab_I_tmp * in8[1] * t2 * 120.0) -
                                  fb_I_tmp * in5[1] * t4 * 120.0) +
                                 gb_I_tmp * in5[5] * t2 * 120.0) -
                                bb_I_tmp * in8[2] * t2 * 120.0) -
                               hb_I_tmp * in5[2] * t4 * 120.0) -
                              cb_I_tmp * in8[3] * t2 * 120.0) -
                             ib_I_tmp * in5[3] * t4 * 120.0) +
                            db_I_tmp * in8[0] * t4 * 120.0) -
                           eb_I_tmp * in8[4] * t2 * 120.0) -
                          jb_I_tmp * in5[4] * t4 * 120.0) +
                         fb_I_tmp * in8[1] * t4 * 120.0) -
                        gb_I_tmp * in8[5] * t2 * 120.0) -
                       kb_I_tmp * in5[5] * t4 * 120.0) +
                      hb_I_tmp * in8[2] * t4 * 120.0) +
                     ib_I_tmp * in8[3] * t4 * 120.0) +
                    jb_I_tmp * in8[4] * t4 * 120.0) +
                   kb_I_tmp * in8[5] * t4 * 120.0) +
                  y_I_tmp * t3 * in6[0] * 72.0) +
                 ab_I_tmp * t3 * in6[1] * 72.0) +
                bb_I_tmp * t3 * in6[2] * 72.0)) +
              ((((((((((((((((((((((cb_I_tmp * t3 * in6[3] * 72.0 + eb_I_tmp * t3 * in6[4] * 72.0) +
                                   gb_I_tmp * t3 * in6[5] * 72.0) -
                                  db_I_tmp * t6 * in9[0] * 72.0) -
                                 fb_I_tmp * t6 * in9[1] * 72.0) -
                                hb_I_tmp * t6 * in9[2] * 72.0) -
                               ib_I_tmp * t6 * in9[3] * 72.0) -
                              jb_I_tmp * t6 * in9[4] * 72.0) -
                             kb_I_tmp * t6 * in9[5] * 72.0) +
                            I_tmp * alpha1 * in6[0] * in9[0] * 336.0) +
                           b_I_tmp * alpha1 * in6[1] * in9[1] * 336.0) +
                          c_I_tmp * alpha1 * in6[2] * in9[2] * 336.0) +
                         d_I_tmp * alpha1 * in6[3] * in9[3] * 336.0) +
                        f_I_tmp * alpha1 * in6[4] * in9[4] * 336.0) +
                       h_I_tmp * alpha1 * in6[5] * in9[5] * 336.0) -
                      I_tmp * beta1 * in6[0] * in9[0] * 48.0) +
                     e_I_tmp * beta0 * in6[0] * in9[0] * 48.0) -
                    b_I_tmp * beta1 * in6[1] * in9[1] * 48.0) +
                   g_I_tmp * beta0 * in6[1] * in9[1] * 48.0) -
                  c_I_tmp * beta1 * in6[2] * in9[2] * 48.0) +
                 i_I_tmp * beta0 * in6[2] * in9[2] * 48.0) -
                d_I_tmp * beta1 * in6[3] * in9[3] * 48.0) +
               j_I_tmp * beta0 * in6[3] * in9[3] * 48.0)) +
             (((((((((((((((((((((((f_I_tmp * beta1 * in6[4] * in9[4] * -48.0 +
                                    k_I_tmp * beta0 * in6[4] * in9[4] * 48.0) -
                                   h_I_tmp * beta1 * in6[5] * in9[5] * 48.0) +
                                  l_I_tmp * beta0 * in6[5] * in9[5] * 48.0) -
                                 m_I_tmp * beta1 * in6[0] * in9[0] * 6.0) -
                                n_I_tmp * beta1 * in6[1] * in9[1] * 6.0) -
                               o_I_tmp * beta1 * in6[2] * in9[2] * 6.0) -
                              p_I_tmp * beta1 * in6[3] * in9[3] * 6.0) -
                             r_I_tmp * beta1 * in6[4] * in9[4] * 6.0) -
                            t_I_tmp * beta1 * in6[5] * in9[5] * 6.0) +
                           e_I_tmp * in7[0] * t2 * in9[0] * 48.0) -
                          I_tmp * in10[0] * t4 * in6[0] * 48.0) +
                         g_I_tmp * in7[1] * t2 * in9[1] * 48.0) -
                        b_I_tmp * in10[1] * t4 * in6[1] * 48.0) +
                       i_I_tmp * in7[2] * t2 * in9[2] * 48.0) -
                      c_I_tmp * in10[2] * t4 * in6[2] * 48.0) +
                     j_I_tmp * in7[3] * t2 * in9[3] * 48.0) -
                    d_I_tmp * in10[3] * t4 * in6[3] * 48.0) +
                   k_I_tmp * in7[4] * t2 * in9[4] * 48.0) -
                  f_I_tmp * in10[4] * t4 * in6[4] * 48.0) +
                 l_I_tmp * in7[5] * t2 * in9[5] * 48.0) -
                h_I_tmp * in10[5] * t4 * in6[5] * 48.0) +
               m_I_tmp * in7[0] * t2 * in6[0] * 18.0) +
              n_I_tmp * in7[1] * t2 * in6[1] * 18.0)) +
            ((((((((((((((((((((((((o_I_tmp * in7[2] * t2 * in6[2] * 18.0 +
                                    p_I_tmp * in7[3] * t2 * in6[3] * 18.0) -
                                   q_I_tmp * in7[0] * t2 * in9[0] * 6.0) -
                                  m_I_tmp * in10[0] * t4 * in6[0] * 6.0) +
                                 r_I_tmp * in7[4] * t2 * in6[4] * 18.0) -
                                s_I_tmp * in7[1] * t2 * in9[1] * 6.0) -
                               n_I_tmp * in10[1] * t4 * in6[1] * 6.0) +
                              t_I_tmp * in7[5] * t2 * in6[5] * 18.0) -
                             u_I_tmp * in7[2] * t2 * in9[2] * 6.0) -
                            o_I_tmp * in10[2] * t4 * in6[2] * 6.0) -
                           v_I_tmp * in7[3] * t2 * in9[3] * 6.0) -
                          p_I_tmp * in10[3] * t4 * in6[3] * 6.0) +
                         q_I_tmp * in10[0] * t4 * in9[0] * 18.0) -
                        w_I_tmp * in7[4] * t2 * in9[4] * 6.0) -
                       r_I_tmp * in10[4] * t4 * in6[4] * 6.0) +
                      s_I_tmp * in10[1] * t4 * in9[1] * 18.0) -
                     x_I_tmp * in7[5] * t2 * in9[5] * 6.0) -
                    t_I_tmp * in10[5] * t4 * in6[5] * 6.0) +
                   u_I_tmp * in10[2] * t4 * in9[2] * 18.0) +
                  v_I_tmp * in10[3] * t4 * in9[3] * 18.0) +
                 w_I_tmp * in10[4] * t4 * in9[4] * 18.0) +
                x_I_tmp * in10[5] * t4 * in9[5] * 18.0) -
               y_I_tmp * in10[0] * t2 * t4 * 6.0) -
              ab_I_tmp * in10[1] * t2 * t4 * 6.0) -
             bb_I_tmp * in10[2] * t2 * t4 * 6.0)) +
           ((cb_I_tmp * in10[3] * t2 * t4 * -6.0 - eb_I_tmp * in10[4] * t2 * t4 * 6.0) -
            gb_I_tmp * in10[5] * t2 * t4 * 6.0);
}

} // namespace ocn

//
// File trailer for EvalCostIntegral.cpp
//
// [EOF]
//
